Bug 1582315 (CVE-2018-1000036) - CVE-2018-1000036 mupdf: memory leaks in the PDF parser
Summary: CVE-2018-1000036 mupdf: memory leaks in the PDF parser
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2018-1000036
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1582316
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-24 20:46 UTC by Laura Pardo
Modified: 2019-09-29 14:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-10 12:09:52 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-05-24 20:46:32 UTC
In MuPDF 1.12.0 and earlier, multiple memory leaks in the PDF parser allow an attacker to cause a denial of service (memory leak) via a crafted file.


References:
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=5502

Comment 1 Laura Pardo 2018-05-24 20:46:54 UTC
Created mupdf tracking bugs for this issue:

Affects: fedora-all [bug 1582316]

Comment 2 Michael J Gruber 2018-06-10 12:09:52 UTC
Cannot reproduce with mupdf 1.13.0 and the provided test case. So (at least):

Fixed in 1.13.0

Closing here since 1582316 is bogus (tracker should be here and depend on various blockers against mupdf, not the other way round).
Status


Note You need to log in before you can comment on or make changes to this bug.